@import url('https://fonts.googleapis.com/css2?family=Arvo:wght@400;700&display=swap');

/* common css */
html,
body{
    margin: 0;
    padding: 0;
    font-family: "Arvo", serif;
}
/* header */
.navbar-brand{
    font-size: 1.5rem;
}
.nav-link{
    font-size: 1.2rem;
}

/* home */
#home{
    width: 100%;
    max-height: 100vh;
}
#particles-js {
  
  width: 100%;
  height: 100%;
  max-height: 550px;
  position: absolute;
  background: #0f172a;
  z-index: -1;
}

#name{
    margin-top: 16rem;
    font-size: 4rem;
    color: #fff;
    text-align: center;
}

#tagline{
    margin-top: 1rem;
    font-size: 2rem;
    color: #fff;
    text-align: center;
}

#learn-more{
    padding: .4rem 1rem;
max-width: 10rem;
margin: 0 auto;
display: block;
border: 2px solid#fff;
border-radius: 1rem;
text-decoration: none;
text-align: center;
}
#learn-more:hover{
    text-decoration: none;

}

/* resume */
#resume{
    width: 100%;
    height: auto;
    padding: 4rem 0;


}

#resume .card{
     margin-left: auto;
     margin-right: auto;
}
#resume .card img{
    height: 120px;
}

.card-container {
    display: flex;
    justify-content: center;   
    gap: 20px;                 
    flex-wrap: wrap;           
}

.card {
    width: 300px;
}
/* portfolio */
#portfolio{
    width: 100%;
    height: auto;
padding: 4rem 0;
}
#portfolio img{
    margin-top: 30px;
    width: 99%;
    height: 200px;
}


#portfolio .grid{
    position: relative;
    width: 100%;                 
}
#portfolio .grid .overlay{
    position: absolute;
   margin-top: 30px;
   top: 0; bottom: 0;
   left: 0; right: 0;
   width: 35%;
      opacity: 0;
      opacity: 0;
transition: .5s ease;
background-color:#527cec; 
}
img {
  display: block;
  justify-content: center;
}
#portfolio .grid:hover .overlay{
   opacity: 1; 
}
.txt{
    color:#fff;
    font-size: 1.7rem;
   position: absolute;
    top: 30%;
    left:30%;
    transform: translate(-50%, -50%);
    text-align: center;


}

.image-container {
  display: flex;
  justify-content: center;   
  gap: 40px;                 
}

.image-container img {
  width: 150px;
  height: auto;
}


/* contact */
#contact{
    width: 100%;
    height: auto;
padding: 1rem 0;
}
#contact form{
    width: 110%;
}
#contact form .submit-message{
    margin-left:15px;
    margin-right:15px;
    background: #527cec;
    color: #fff;
}
form {
  width: 50%;
  margin: auto;
  text-align: center;
}
button {
  margin-top: 15px;
}
input, textarea {
  margin-bottom: 15px;
}

/* footer */
      footer{
        width:100%;
        height: auto;
        padding: 2rem 0 2rem;
      }
   

.contact-container {
  position: relative;
}



/* Icons Style */
.social-icons a {
    font-size: 35px;           
    color: #811c4a;
    transition: 0.3s;
}

/* Hover Effect */
.social-icons a:hover {
    color: #0077ff;
    transform: scale(1.2);     
}


.card-container {
  display: flex;
  gap: 20px;          
  flex-wrap: wrap;    
}

#portfolio .row {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

#portfolio .card {
    width: 18rem;
    margin: 0;
}
.row {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
}

.card {
    margin: 15px;
    height: 100%;
}

.col-md-4 {
    display: flex;
    justify-content: center;
}
.cards-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
    justify-items: center;
    align-items: start;
}

.cards-wrapper .card {
    width: 100%;
    max-width: 100px;
}

/* Social icon right side move */
.social-icons{
    position: absolute;
    bottom: -1750px;
    right: 15px;   /* increase/decrease for more right */
    display: flex;
    gap: 15px;
    font-size: 30px;
}
.contact-info{
    position: fixed;
    right: 20px;
    bottom: -20px;
    text-align: right;
}

.contact-info p{
    margin: -5px 0;
    font-size: 20px;
}
.contact-section{
    display: flex;
    justify-content: flex-end;
}
input[type="text"],
input[type="email"]{
    width: 60%;
    height: 45px;
}
.fixed-contact{
  position: fixed;
  right: 20px;
  bottom: 20px;
  display: flex;
  flex-direction: column;
  gap: 15px;
  z-index: 999;
}
